.CODE
EXTRN SR_TEST_HIMEM:NEAR
EXTRN SR_GET_HIMEM_adresse:NEAR
EXTRN SR_ALLOUE_EMB:NEAR
EXTRN SR_LIBERE_EMB:NEAR
EXTRN SR_ACTIVE_A20:NEAR
EXTRN SR_DESACTIVE_A20:NEAR

TEST_HIMEM MACRO
 CALL SR_TEST_HIMEM
ENDM

GET_HIMEM_adresse MACRO
 CALL SR_GET_HIMEM_adresse
ENDM

ALLOUE_EMB MACRO taille
 PUSH WORD PTR taille
 CALL SR_ALLOUE_EMB
ENDM

LIBERE_EMB MACRO adress32
 PUSH DWORD PTR adress32
 CALL SR_LIBERE_EMB
ENDM

ACTIVE_A20 MACRO
 CALL SR_ACTIVE_A20
ENDM

DESACTIVE_A20 MACRO
 CALL SR_DESACTIVE_A20
ENDM

